plum_2.33.1-1_all.deb


Advertisement

Description

plum - IRC proxy, stationing, logging, and bot program (pirc)

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name plum
Package version 2.33.1
Package release 1
Package architecture all
Package type deb
Installed size 704 B
Download size 87.95 KB
Official Mirror archive.ubuntu.com
plum works as personal proxy, stationing, logging, and bot program on
IRC (Internet Relay Chat). It has many modules, so the user can use
a lot of functions. It is also easy to customize its configurations.
Note that its documents are only available in Japanese.

Alternatives

Package Version Architecture Repository
plum_2.33.1-1_all.deb 2.33.1 all Ubuntu Universe
plum - - -

Requires

Name Value
perl -

Download

Type URL
Binary Package plum_2.33.1-1_all.deb
Source Package plum

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install plum deb package:
    # sudo apt-get install plum

Files

Path
/usr/bin/plum
/usr/share/doc/plum/README.Debian
/usr/share/doc/plum/changelog.Debian.gz
/usr/share/doc/plum/conf.html
/usr/share/doc/plum/copyright
/usr/share/doc/plum/history.html
/usr/share/doc/plum/html.reg
/usr/share/doc/plum/module.html
/usr/share/doc/plum/plum.html
/usr/share/doc/plum/plum.reg
/usr/share/doc/plum/program.html
/usr/share/doc/plum/readme.html
/usr/share/doc/plum/tutorial.html
/usr/share/doc/plum/varsub.html
/usr/share/doc/plum/examples/plum-default.conf.gz
/usr/share/doc/plum/examples/plum-dump.conf
/usr/share/doc/plum/examples/plum-example.conf.gz
/usr/share/doc/plum/examples/plum-example.en.conf.gz
/usr/share/plum/module/auto/alias.plm
/usr/share/plum/module/auto/answer.plm
/usr/share/plum/module/auto/cache.plm
/usr/share/plum/module/auto/message.plm
/usr/share/plum/module/auto/nako.plm
/usr/share/plum/module/auto/oper.plm
/usr/share/plum/module/auto/package.plm
/usr/share/plum/module/auto/random.plm
/usr/share/plum/module/auto/reply.plm
/usr/share/plum/module/auto/response.plm
/usr/share/plum/module/auto/yuurii.plm
/usr/share/plum/module/channel/alias.plm
/usr/share/plum/module/channel/filter.plm
/usr/share/plum/module/channel/join/connect.plm
/usr/share/plum/module/channel/join/invite.plm
/usr/share/plum/module/channel/join/kick.plm
/usr/share/plum/module/channel/mode/set.plm
/usr/share/plum/module/channel/mode/oper/get.plm
/usr/share/plum/module/channel/mode/oper/set.plm
/usr/share/plum/module/client/kanji.plm
/usr/share/plum/module/ctcp/clientinfo.plm
/usr/share/plum/module/ctcp/comment.plm
/usr/share/plum/module/ctcp/echo.plm
/usr/share/plum/module/ctcp/finger.plm
/usr/share/plum/module/ctcp/part.plm
/usr/share/plum/module/ctcp/ping.plm
/usr/share/plum/module/ctcp/time.plm
/usr/share/plum/module/ctcp/userinfo.plm
/usr/share/plum/module/ctcp/version.plm
/usr/share/plum/module/ctcp/dcc/cancel.plm
/usr/share/plum/module/ctcp/dcc/client.plm
/usr/share/plum/module/ctcp/dcc/forward.plm
/usr/share/plum/module/ctcp/dcc/gate.plm
/usr/share/plum/module/ctcp/dcc/get.plm
/usr/share/plum/module/ctcp/dcc/http.plm
/usr/share/plum/module/ctcp/dcc/nat.plm
/usr/share/plum/module/ctcp/dcc/send.plm
/usr/share/plum/module/log/channel.plm
/usr/share/plum/module/log/client.plm
/usr/share/plum/module/log/daily.plm
/usr/share/plum/module/log/error.plm
/usr/share/plum/module/log/mail.plm
/usr/share/plum/module/log/recent.plm
/usr/share/plum/module/log/server.plm
/usr/share/plum/module/server/info.plm
/usr/share/plum/module/server/kanji.plm
/usr/share/plum/module/server/timeout.plm
/usr/share/plum/module/sys/background.plm
/usr/share/plum/module/sys/dump.plm
/usr/share/plum/module/sys/multicast.plm
/usr/share/plum/module/sys/show.plm
/usr/share/plum/module/sys/timer.plm
/usr/share/plum/module/sys/web.plm
/usr/share/plum/module/sys/conf/load.plm
/usr/share/plum/module/sys/conf/update.plm
/usr/share/plum/module/sys/module/update.plm
/usr/share/plum/module/user/idle.plm
/usr/share/plum/module/user/ignore.plm
/usr/share/plum/module/user/away/client.plm
/usr/share/plum/module/user/away/nick.plm
/usr/share/plum/module/user/mode/set.plm
/usr/share/plum/module/user/nick/client.plm
/usr/share/plum/support/client
/usr/share/plum/support/clientname
/usr/share/plum/support/clientproxy
/usr/share/plum/support/cnvcode
/usr/share/plum/support/cnvmsgfile
/usr/share/plum/support/httpclient
/usr/share/plum/support/httpgate
/usr/share/plum/support/killplum
/usr/share/plum/support/merge
/usr/share/plum/support/mkconf
/usr/share/plum/support/modinfo
/usr/share/plum/support/multiproxy
/usr/share/plum/support/proxy
/usr/share/plum/support/runfor
/usr/share/plum/support/server
/usr/share/plum/support/serverproxy

Changelog

2017-06-28 - Hideki Yamane <henrich@debian.org>
plum (1:2.33.1-1) unstable; urgency=medium
* New maintainer (Closes: #839675)
* debian/control
- set Standards-Version: 4.0.0
- Build-Depends: debhelper (>= 10)
* debian/compat
- set 10
2016-04-27 - Hideki Yamane <henrich@debian.org>
plum (1:2.33.1-0.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/compat
- set 9, fix "plum: Removal of debhelper compat 4" (Closes: #817620) 
* debian/rules
- Depends: debhelper (>= 9) as changed as above
- use dh
+ fix "Removal dh_undocumented debhelper command" (Closes: #815608)
* debian/source/format
- use "3.0 (quilt)"
* debian/patches
- convert old patches to quilt patch
- 0006-adjust-path.patch: previous version modifies orig tarball in
debian.diff.gz and it causes problem with build, separate patch is
better.
+ add epoch since upload is rejected with different orig.tar.gz...
* debian/control
- remove perl5 for Depends, unnecessary
- fix debhelper-but-no-misc-depends
- set Standards-Version: 3.9.8
- add Homepage and Vcs-* field
* debian/copyright
- fix "debian-copyright-file-uses-obsolete-national-encoding"
- update to copyright format 1.0
2006-05-14 - GOTO Masanori <gotom@debian.org>
plum (2.33.1-10) unstable; urgency=low
* It's still maintained by the maintainer, new package is uploaded.
(Closes: #328795)
* debian/control: New maintainer mail address.
* debian/copyright: Distinguish between Copyright Holder and License.
(Closes: #302980)
* Finish /usr/doc transition by rebuild.  (Closes: #359554)
* Fix /usr/share/doc/plum/module.html refers to local patchs.
(Closes: #145672)
* Move /usr/lib/plum executables to /usr/share/plum, because it's arch
independent files.
* debian/README.Debian: Very minimal English documentation.  (Closes: #61630)
* Updating Standards-Version: 3.6.2.  Update debian/compat and
debian/control.
* debian/patch0.plum-debian: Renamed from patch.plum-debian.
* debian/patch1.bind: Renamed from patch.bind.
* debian/patch2.timeout: Added to change default timeout from 120 to 20.
* debian/patch3.string0fix: Added to fix string "0" line bug that modifies
only "0" line to the empty line during input/output with IRC clients.
Note that  this fix is limited only to the plum main privmsg routine,
but other modules should be also fixed.  Patch proposed by
Fumitoshi UKAI <ukai@debian.or.jp>.  (Closes: #340331)
* debian/patch4.jisSOfix: Added to fix jis_jis function SO bug fix.
If "\cO" (SI) is specified, $kanji mode expects 2 (SO Hankaku-kana
was already specified), and the ASCII mode (ESC $ B) should be
issued.  But the current code does not work correctly because of
"$kanji != 2".  Patch proposed by MATSUDA Yoh-ichi <yoh@flcl.org>.
(Closes: #204470)
2001-05-07 - GOTO Masanori <gotom@debian.or.jp>
plum (2.33.1-9) unstable; urgency=low
* Updating Standards-Version: 3.5.2.
2001-03-15 - GOTO Masanori <gotom@debian.or.jp>
plum (2.33.1-8) unstable; urgency=low
* debian/patch.plum-debian: refix perl dependency from perl-5.005 to perl.
2001-03-05 - GOTO Masanori <gotom@debian.or.jp>
plum (2.33.1-7) unstable; urgency=low
* debian/control: Modify depends field to support perl-5.6.
2001-03-04 - GOTO Masanori <gotom@debian.or.jp>
plum (2.33.1-6) unstable; urgency=low
* module/*: Remove first line because perl 5.6 cannot deal with this line.
(closes: Bug#78306).
2001-03-02 - GOTO Masanori <gotom@debian.or.jp>
plum (2.33.1-5) unstable; urgency=low
* debian/patch.bind: Refix applying the patch (closes: Bug#67526).
* debian/plum: run /usr/bin/perl-5.005 instead of /usr/bin/perl
because plum cannot work with perl 5.6 (closes: Bug#76860).
* doc/*.html: Fixed unfollowable documents links (closes: Bug#72871).

See Also

Package Description
pluma-common_1.18.2-1_all.deb official text editor of the MATE desktop environment (common files)
pluma-dev_1.18.2-1_i386.deb official text editor of the MATE desktop environment (development files)
pluma-doc_1.18.2-1_all.deb official text editor of the MATE desktop environment (documentation files)
pluma_1.18.2-1_i386.deb official text editor of the MATE desktop environment
plume-creator_0.66+dfsg1-3.1build2_i386.deb open-source tool for novelists
pluxml_5.5-2_all.deb light blog/CMS engine powered by XML
plymouth-disabler_0.1_all.deb disable plymouth by installing .override files
plymouth-theme-breeze_5.10.5-0ubuntu1_i386.deb Breeze theme for Plymouth
plymouth-theme-edubuntu_15.12.1_all.deb Plymouth is an application that runs very early
plymouth-theme-hamara_1.0_all.deb boot animation, logger and I/O multiplexer - Hamara theme
plymouth-theme-kubuntu-logo_17.10ubuntu3_all.deb graphical boot animation and logger - kubuntu-logo theme
plymouth-theme-kubuntu-text_17.10ubuntu3_all.deb graphical boot animation and logger - kubuntu-text theme
plymouth-theme-lubuntu-logo_0.69_all.deb plymouth theme for Lubuntu
plymouth-theme-lubuntu-text_0.69_all.deb plymouth text theme for Lubuntu
plymouth-theme-sabily-text_1.3_all.deb plymouth theme for Sabily (text theme)
Advertisement
Advertisement